##parameters=REQUEST=None,psm=None,groups=None

# $Id: students_folder_view.py 96 2005-10-27 06:51:08Z joachim $

"""Default view for the forum. If post_id is not None, post with id = <post_id>
will be displayed, otherwise first post will be displayed."""

member = context.portal_membership.getAuthenticatedMember()
if not context.portal_membership.isAnonymousUser():
    roles = member.getRoles()
    if 'Manager' in roles:
        return context.folder_view()
    elif 'StudentManager' in roles:
        return context.students_folder_view_manager(psm=psm)
    elif 'Student' in roles:
        return context.students_folder_view_student(psm=psm)
return context.students_folder_view_all(psm=psm)
